Uoms
Count UOMs (POST)
Counts the number of Unit of Measurements based on the given filters.
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
aggregation_types?array<aggregation-detail-aggregation-type>
List of aggregation types for filtering list of UOMs.
ids?array<string>
List of Unit of Measurement (UOM) DONs to be used in filtering complete list of UOMs defined in a Dev Org.
metric_names?array<string>
List of metric names for filtering list of UOMs.
part_ids?array<string>
List of part IDs for filtering list of UOMs.
product_ids?array<string>
List of product IDs for filtering list of UOMs.
unit_types?array<unit-type>
List of unit types for filtering list of UOMs.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/uoms.count" \ -H "Content-Type: application/json" \ -d '{}'{
"count": 0
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}